c_natgrids(3NCARG)

NAME
c_natgrids - primary C entry for natural neighbor gridding

FUNCTION PROTOTYPE
float *c_natgrids(int, float [], float [], float [],
                  int, int, float [], float [], int *);

SYNOPSIS
float *c_natgrids (npnts, x, y, z, numxout, numyout, xi, yi, ier);

DESCRIPTION

npnts
    The number of input data points. (npnts > 3).

x   An array containing the x coordinates of the input data points.

y   An array containing the y coordinates of the input data points.

z   An array containing the functional values of the input data points. That is, z[m] is the value of the input function at coordinate (x[m],y[m]), for 0 <= m < npnts.

numxout
    The number of x values in the output grid.

numyout
    The number of y values in the output grid.

xi  An array of dimension numxout containing the x coordinates of the output data grid. The values in xi must be increasing, but need not be equally spaced.

yi  An array of dimension numyout containing the y coordinates of the output data grid. The values in yi must be increasing, but need not be equally spaced.

ier An error value. If *ier is returned as 0, then no errors were detected. If *ier is non-zero, then refer to the man page for natgrid_errors for details.

USAGE
c_natgrids returns a pointer to a linear array of data that is the interpolated grid stored in row-major order. That is, if out is declared as

float *out;

and we set:

  out = c_natgrids(numin, x, y, z, numxout, numyout, xo, yo, &ier);

then out[i*numyout+j] is the interpolated function value at coordinate point (xo[i],yo[j]) for 0 <= i < numxout and 0 <= j < numyout. The space for out is allocated internal to c_natgrids and is numxout*numyout floats in size.

ACCESS
To use c_natgrids, load the NCAR Graphics library ngmath.

SEE ALSO
natgrid, natgrid_params, c_nnseti, c_nngeti, c_nnsetr, c_nngetr, c_nnsetc, c_nngetc.

Complete documentation for Natgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/natgrid/nnhome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.